Subject: 27.1.50; Regression: Yanking into externally modified file with delete-selection-mode

From: Lars Ljung <[email-masked]>
Date: Thu, 3 Dec 2020 21:10:05 +0100

Hi,

I get an error when I do this, and the content of the buffer is
completely replaced by a single "y".

1. Start with "emacs -Q"
2. M-x delete-selection-mode
3. Open some text file (fundamental mode)
4. Modify the file externally
5. While a selection is active, yank some text
6. Answer yes to the question "<file> changed on disk..."

The content of the buffer is now completely replaced by a single "y".
The message "No catch for tag: exit, nil" is shown in the minibuffer.

I can't reproduce this on Emacs 26.3.

Kind regards,
Lars Ljung